<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'master',

    /*
     * Package.
     */
    'package'   => 'functional_skills',

    /*
     * Modules.
     */
    'modules'   => ['master_functional_skill'],

    
    'master_functional_skill'       => [
        'model' => [
            'model'                 => \Master\FunctionalSkills\Models\MasterFunctionalSkill::class,
            'table'                 => 'master_functional_skills',
            'presenter'             => \Master\FunctionalSkills\Repositories\Presenter\MasterFunctionalSkillPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'slug',  'status',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'functional_skills/master_functional_skill',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Master',
            'package'   => 'FunctionalSkills',
            'module'    => 'MasterFunctionalSkill',
        ],

    ],
];
