<?php

namespace Master\FunctionalSkills\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Master\FunctionalSkills\Interfaces\MasterFunctionalSkillRepositoryInterface;

class MasterFunctionalSkillPublicController extends BaseController
{
    // use MasterFunctionalSkillWorkflow;

    /**
     * Constructor.
     *
     * @param type \Master\MasterFunctionalSkill\Interfaces\MasterFunctionalSkillRepositoryInterface $master_functional_skill
     *
     * @return type
     */
    public function __construct(MasterFunctionalSkillRepositoryInterface $master_functional_skill)
    {
        $this->repository = $master_functional_skill;
        parent::__construct();
    }

    /**
     * Show master_functional_skill's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $master_functional_skills = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$functional_skills::master_functional_skill.names'))
            ->view('functional_skills::master_functional_skill.index')
            ->data(compact('master_functional_skills'))
            ->output();
    }


    /**
     * Show master_functional_skill.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $master_functional_skill = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$master_functional_skill->name . trans('functional_skills::master_functional_skill.name'))
            ->view('functional_skills::master_functional_skill.show')
            ->data(compact('master_functional_skill'))
            ->output();
    }

}
