<?php

namespace Master\FunctionalSkills\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MasterFunctionalSkillTransformer extends TransformerAbstract
{
    public function transform(\Master\FunctionalSkills\Models\MasterFunctionalSkill $master_functional_skill)
    {
        return [
            'id'                => $master_functional_skill->getRouteKey(),
            'key'               => [
                'public'    => $master_functional_skill->getPublicKey(),
                'route'     => $master_functional_skill->getRouteKey(),
            ], 
            'id'                => $master_functional_skill->id,
            'name'              => $master_functional_skill->name,
            'slug'              => $master_functional_skill->slug,
            'status'            => $master_functional_skill->status,
            'deleted_at'        => $master_functional_skill->deleted_at,
            'created_at'        => $master_functional_skill->created_at,
            'updated_at'        => $master_functional_skill->updated_at,
            'url'               => [
                'public'    => trans_url('functional_skills/'.$master_functional_skill->getPublicKey()),
                'user'      => guard_url('functional_skills/master_functional_skill/'.$master_functional_skill->getRouteKey()),
            ], 
            'status'            => trans('app.'.$master_functional_skill->status),
            'created_at'        => format_date($master_functional_skill->created_at),
            'updated_at'        => format_date($master_functional_skill->updated_at),
        ];
    }
}